summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--metadata/cache/net-misc/nxclient-2xterminalserver-1.5.022
-rw-r--r--metadata/cache/net-misc/nxserver-2xterminalserver-1.5.022
-rw-r--r--net-misc/nxclient-2xterminalserver/ChangeLog26
-rw-r--r--net-misc/nxclient-2xterminalserver/Manifest7
-rw-r--r--net-misc/nxclient-2xterminalserver/files/1.5.0/nxcomp-1.5.0-gcc4.patch12
-rw-r--r--net-misc/nxclient-2xterminalserver/files/1.5.0/nxcomp-1.5.0-pic.patch20
-rw-r--r--net-misc/nxclient-2xterminalserver/metadata.xml8
-rw-r--r--net-misc/nxclient-2xterminalserver/nxclient-2xterminalserver-1.5.0.ebuild89
-rw-r--r--net-misc/nxserver-2xterminalserver/ChangeLog45
-rw-r--r--net-misc/nxserver-2xterminalserver/Manifest16
-rw-r--r--net-misc/nxserver-2xterminalserver/files/1.5.0/nx-x11-1.5.0-amd64.patch15
-rw-r--r--net-misc/nxserver-2xterminalserver/files/1.5.0/nx-x11-1.5.0-plastik-render-fix.patch29
-rw-r--r--net-misc/nxserver-2xterminalserver/files/1.5.0/nx-x11-1.5.0-tmp-exec.patch11
-rw-r--r--net-misc/nxserver-2xterminalserver/files/1.5.0/nx-x11-1.5.0-windows-linux-resume.patch37
-rw-r--r--net-misc/nxserver-2xterminalserver/files/1.5.0/nx-x11-1.5.0-xorg7-font-fix.patch394
-rw-r--r--net-misc/nxserver-2xterminalserver/files/1.5.0/nxserver-2xterminalserver-1.5.0-external-nxcomp.patch97
-rw-r--r--net-misc/nxserver-2xterminalserver/files/1.5.0/nxserver-2xterminalserver-1.5.0-insitu.patch123
-rw-r--r--net-misc/nxserver-2xterminalserver/files/1.5.0/nxserver-2xterminalserver-1.5.0-nxagent-reduced-debugging.patch12
-rw-r--r--net-misc/nxserver-2xterminalserver/files/1.5.0/nxserver-2xterminalserver-1.5.0-perl.patch32
-rw-r--r--net-misc/nxserver-2xterminalserver/files/1.5.0/nxserver-2xterminalserver-1.5.0-setup.patch96
-rw-r--r--net-misc/nxserver-2xterminalserver/metadata.xml8
-rw-r--r--net-misc/nxserver-2xterminalserver/nxserver-2xterminalserver-1.5.0.ebuild212
22 files changed, 0 insertions, 1333 deletions
diff --git a/metadata/cache/net-misc/nxclient-2xterminalserver-1.5.0 b/metadata/cache/net-misc/nxclient-2xterminalserver-1.5.0
deleted file mode 100644
index 21695c4..0000000
--- a/metadata/cache/net-misc/nxclient-2xterminalserver-1.5.0
+++ /dev/null
@@ -1,22 +0,0 @@
-dev-libs/openssl media-libs/audiofile media-libs/jpeg media-libs/libpng net-print/cups sys-libs/zlib =x11-libs/qt-3* !net-misc/nxclient
-dev-libs/openssl media-libs/audiofile media-libs/jpeg media-libs/libpng net-print/cups sys-libs/zlib =x11-libs/qt-3* !net-misc/nxclient
-0
-http://code.2x.com/release/linuxterminalserver/src/linuxterminalserver-1.5.0-common-r21-src.tar.gz http://code.2x.com/release/linuxterminalserver/src/linuxterminalserver-1.5.0-client-r21-src.tar.gz
-
-http://www.2x.com/terminalserver/
-GPL-2
-2X Terminal Server GPL NX client, based on NoMachine code
-~amd64 ~x86
-eutils multilib portability qt3 toolchain-funcs
-
-
-
-
-
-
-compile install unpack
-
-
-
-
-
diff --git a/metadata/cache/net-misc/nxserver-2xterminalserver-1.5.0 b/metadata/cache/net-misc/nxserver-2xterminalserver-1.5.0
deleted file mode 100644
index b493a75..0000000
--- a/metadata/cache/net-misc/nxserver-2xterminalserver-1.5.0
+++ /dev/null
@@ -1,22 +0,0 @@
-dev-libs/glib dev-libs/openssl dev-perl/BSD-Resource dev-perl/DateManip dev-perl/DBD-SQLite dev-perl/DBI dev-perl/Error dev-perl/GDGraph dev-perl/Passwd-Linux dev-perl/Unix-Syslog media-libs/jpeg media-libs/libpng sys-libs/zlib x11-libs/libICE x11-libs/libXmu x11-libs/libXdmcp x11-libs/libSM x11-libs/libXt x11-libs/libXau x11-libs/libXaw x11-libs/libXp x11-libs/libXpm x11-libs/libXext media-fonts/font-misc-misc media-fonts/font-cursor-misc x11-apps/xauth app-text/rman net-misc/nxclient-2xterminalserver x11-misc/gccmakedep x11-misc/imake x11-proto/xproto x11-proto/xextproto x11-proto/fontsproto !net-misc/nxserver-freeedition !net-misc/nxserver-freenx
-dev-libs/glib dev-libs/openssl dev-perl/BSD-Resource dev-perl/DateManip dev-perl/DBD-SQLite dev-perl/DBI dev-perl/Error dev-perl/GDGraph dev-perl/Passwd-Linux dev-perl/Unix-Syslog media-libs/jpeg media-libs/libpng sys-libs/zlib x11-libs/libICE x11-libs/libXmu x11-libs/libXdmcp x11-libs/libSM x11-libs/libXt x11-libs/libXau x11-libs/libXaw x11-libs/libXp x11-libs/libXpm x11-libs/libXext media-fonts/font-misc-misc media-fonts/font-cursor-misc x11-apps/xauth
-0
-http://code.2x.com/release/linuxterminalserver/src/linuxterminalserver-1.5.0-server-r21-src.tar.gz http://code.2x.com/release/linuxterminalserver/src/linuxterminalserver-1.5.0-common-r21-src.tar.gz http://code.2x.com/release/linuxterminalserver/src/linuxterminalserver-1.5.0-client-r21-src.tar.gz
-
-http://www.2x.com/terminalserver/
-GPL-2
-GPL NX server, based on NoMachine 1.5 servers source code
-~x86
-eutils flag-o-matic multilib portability toolchain-funcs
-rdesktop vnc
-
-
-
-
-
-compile install postinst preinst unpack
-
-
-
-
-
diff --git a/net-misc/nxclient-2xterminalserver/ChangeLog b/net-misc/nxclient-2xterminalserver/ChangeLog
deleted file mode 100644
index ade0745..0000000
--- a/net-misc/nxclient-2xterminalserver/ChangeLog
+++ /dev/null
@@ -1,26 +0,0 @@
-# ChangeLog for net-misc/nxclient-2xterminalserver
-# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/nxclient-2xterminalserver/ChangeLog,v 1.5 2008/02/29 20:26:25 carlo Exp $
-
- 29 Feb 2008; Carsten Lohrke <carlo@gentoo.org>
- nxclient-2xterminalserver-1.5.0.ebuild:
- Remove icon extension from desktop entry to match Icon Theme Specification.
-
- 13 Jan 2008; Bernard Cafarelli <voyageur@gentoo.org>
- nxclient-2xterminalserver-1.5.0.ebuild:
- Missing depend, bug #205425. Also fix quoting
-
- 12 May 2007; Bernard Cafarelli <voyageur@gentoo.org> metadata.xml:
- Fixed maintainer in metadata.xml
-
- 30 Apr 2007; Bernard Cafarelli <voyageur@gentoo.org>
- nxclient-2xterminalserver-1.5.0.ebuild:
- Extended description
-
-*nxclient-2xterminalserver-1.5.0 (25 Apr 2007)
-
- 25 Apr 2007; Bernard Cafarelli <voyageur@gentoo.org>
- +files/1.5.0/nxcomp-1.5.0-gcc4.patch, +files/1.5.0/nxcomp-1.5.0-pic.patch,
- +metadata.xml, +nxclient-2xterminalserver-1.5.0.ebuild:
- Initial commit
-
diff --git a/net-misc/nxclient-2xterminalserver/Manifest b/net-misc/nxclient-2xterminalserver/Manifest
deleted file mode 100644
index ed7d344..0000000
--- a/net-misc/nxclient-2xterminalserver/Manifest
+++ /dev/null
@@ -1,7 +0,0 @@
-AUX 1.5.0/nxcomp-1.5.0-gcc4.patch 329 RMD160 03065afd0dd2b0345a170bcc1ebd8da333004df4 SHA1 cdaf51133f34486e2d9cbc6cf61482eea8b3e9a0 SHA256 097b34afa77d40919e20f54a6b99ea10e2780720e58e72d4d7871303004749e3
-AUX 1.5.0/nxcomp-1.5.0-pic.patch 523 RMD160 5552146e4539f33cf61e1f6c3f323f51057e2e75 SHA1 95147d1e0a53df86c4f192fb6ee700303eb5f8bf SHA256 fe17e3e36b75fb0d4ac5ad74ff0ecc76ccb91e14b5d2f1a65cfd8c2bfc32cc62
-DIST linuxterminalserver-1.5.0-client-r21-src.tar.gz 2270147 RMD160 32fa31ee713d46e66c8a5e4aa14126995b225cfb SHA1 9295a232409b56ecb2fb4dccf81e6c05d65a7130 SHA256 70c7e3c9741b577b867e78524a1fb607aa2fae5d6f1bdda4b1a42eb9fd3d7bb3
-DIST linuxterminalserver-1.5.0-common-r21-src.tar.gz 34332949 RMD160 411291efa4bef31fbb5ff8128591514c687b9eeb SHA1 f63ed2816b13f1296db909b40ffb1c7d4cb5e109 SHA256 a6aaf7b1593d4df012ecefd1c8a6a176c0fde23cf9039401fe61f56197898555
-EBUILD nxclient-2xterminalserver-1.5.0.ebuild 2235 RMD160 541733a55937d773b5512b7244a5471320498ef7 SHA1 2322268fdfc67e988fe1f95784454bf212c29ae9 SHA256 0c245af7bf3cb37a24166fceb6620469760c8374662abe4b4d1f3aaab27a6293
-MISC ChangeLog 1038 RMD160 39432720073e7bffc97eaa77558c8c35be8a779f SHA1 378c091757dd8fbb982b28157140ce19562080f7 SHA256 334249bf6c66ff534e9b437d83dde05c6d83f6cadfab5e5fa14d8c964234b95f
-MISC metadata.xml 246 RMD160 805a8e0fe383f08483a183ba10b187db237bc339 SHA1 928f16d5902d6bc9534efa5bd354354eb5a78816 SHA256 dffaab34dbca768badd62149c2ea41036b78507e0cc3674cc7b82b5b5edef0a2
diff --git a/net-misc/nxclient-2xterminalserver/files/1.5.0/nxcomp-1.5.0-gcc4.patch b/net-misc/nxclient-2xterminalserver/files/1.5.0/nxcomp-1.5.0-gcc4.patch
deleted file mode 100644
index 3a3a79b..0000000
--- a/net-misc/nxclient-2xterminalserver/files/1.5.0/nxcomp-1.5.0-gcc4.patch
+++ /dev/null
@@ -1,12 +0,0 @@
---- common/nxcomp/RenderExtension.h.orig 2005-02-19 18:23:32.000000000 +0000
-+++ common/nxcomp/RenderExtension.h 2005-08-27 23:16:05.000000000 +0100
-@@ -68,6 +68,8 @@
- // The message class.
- //
-
-+class RenderMinorExtensionStore;
-+
- class RenderExtensionMessage : public Message
- {
- friend class RenderExtensionStore;
-
diff --git a/net-misc/nxclient-2xterminalserver/files/1.5.0/nxcomp-1.5.0-pic.patch b/net-misc/nxclient-2xterminalserver/files/1.5.0/nxcomp-1.5.0-pic.patch
deleted file mode 100644
index 7c453a2..0000000
--- a/net-misc/nxclient-2xterminalserver/files/1.5.0/nxcomp-1.5.0-pic.patch
+++ /dev/null
@@ -1,20 +0,0 @@
---- common/nxcomp/Makefile.in.orig 2006-11-22 21:43:15.000000000 +0000
-+++ common/nxcomp/Makefile.in 2006-11-22 21:43:33.000000000 +0000
-@@ -32,7 +32,7 @@
-
- CXX = @CXX@
- CXXFLAGS = @CXXFLAGS@ @X_CFLAGS@ @DEFS@ \
-- -Wall -Wpointer-arith
-+ -Wall -Wpointer-arith -fPIC
- CXXINCLUDES =
- CXXDEFINES =
-
-@@ -43,7 +43,7 @@
-
- CC = @CC@
- CCFLAGS = @X_CFLAGS@ @DEFS@ \
-- -Wall -Wpointer-arith
-+ -Wall -Wpointer-arith -fPIC
- CCINCLUDES =
- CCDEFINES =
-
diff --git a/net-misc/nxclient-2xterminalserver/metadata.xml b/net-misc/nxclient-2xterminalserver/metadata.xml
deleted file mode 100644
index cdb7622..0000000
--- a/net-misc/nxclient-2xterminalserver/metadata.xml
+++ /dev/null
@@ -1,8 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-<herd>nx</herd>
-<longdescription>
- Client part of 2x Terminal Server (a GPL NX server)
-</longdescription>
-</pkgmetadata>
diff --git a/net-misc/nxclient-2xterminalserver/nxclient-2xterminalserver-1.5.0.ebuild b/net-misc/nxclient-2xterminalserver/nxclient-2xterminalserver-1.5.0.ebuild
deleted file mode 100644
index c9610b5..0000000
--- a/net-misc/nxclient-2xterminalserver/nxclient-2xterminalserver-1.5.0.ebuild
+++ /dev/null
@@ -1,89 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/nxclient-2xterminalserver/nxclient-2xterminalserver-1.5.0.ebuild,v 1.4 2008/02/29 20:26:25 carlo Exp $
-
-inherit eutils qt3
-
-DESCRIPTION="2X Terminal Server GPL NX client, based on NoMachine code"
-HOMEPAGE="http://www.2x.com/terminalserver/"
-SRC_URI="http://code.2x.com/release/linuxterminalserver/src/linuxterminalserver-1.5.0-common-r21-src.tar.gz
- http://code.2x.com/release/linuxterminalserver/src/linuxterminalserver-1.5.0-client-r21-src.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-DEPEND="
- dev-libs/openssl
- media-libs/audiofile
- media-libs/jpeg
- media-libs/libpng
- net-print/cups
- sys-libs/zlib
- =x11-libs/qt-3*
- !net-misc/nxclient"
-RDEPEND="${DEPEND}"
-
-S="${WORKDIR}"
-
-src_unpack()
-{
- unpack ${A}
- cd "${S}"
- epatch "${FILESDIR}"/1.5.0/nxcomp-1.5.0-gcc4.patch
- epatch "${FILESDIR}"/1.5.0/nxcomp-1.5.0-pic.patch
-
- # Set correct product name
- einfo "Setting official product name"
- find client/nxclient common/nx-X11/programs/Xserver/hw/nxagent/Args.c \
- -type f -exec sed -i "s/@PRODUCT_NAME@/2X TerminalServer/g" {} \;
-}
-
-src_compile()
-{
- cd "${S}"/common/nxcomp
- econf || die
- emake || die
-
- cd "${S}"/common/nxssh
- econf || die
- emake || die
-
- cd "${S}"/client/nxesd
- econf || die
- emake || die
-
- cd "${S}"/client/nxclient
- econf || die
- emake || die
-
- cd "${S}"/client/nxclient/nxprint
- emake || die
-}
-
-src_install() {
- # we install into /usr/NX, as NoMachine and 2X do
-
- for x in nxclient nxprint nxssh nxesd ; do
- make_wrapper $x ./$x /usr/NX/bin /usr/NX/lib || die
- done
-
- into /usr/NX
- dobin client/nxclient/nxclient
- dobin client/nxclient/nxprint/nxprint
- dobin client/nxesd/nxesd
- dobin common/nxssh/nxssh
-
- dodir /usr/NX/lib
- cp -P common/nxcomp/libXcomp.so* "${D}"/usr/NX/lib || die
-
- dodir /usr/NX/share
- cp -R client/nxclient/share "${D}"/usr/NX || die
-
- # Add icons/desktop entries
- doicon client/nxclient/share/icons/*.png
- make_desktop_entry "nxclient" "NX Client" nx-desktop
- make_desktop_entry "nxclient -admin" "NX Session Administrator" nxclient-admin
- make_desktop_entry "nxclient -wizard" "NX Connection Wizard" nxclient-wizard
-}
diff --git a/net-misc/nxserver-2xterminalserver/ChangeLog b/net-misc/nxserver-2xterminalserver/ChangeLog
deleted file mode 100644
index 7df0be0..0000000
--- a/net-misc/nxserver-2xterminalserver/ChangeLog
+++ /dev/null
@@ -1,45 +0,0 @@
-# ChangeLog for net-misc/nxserver-2xterminalserver
-# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/nxserver-2xterminalserver/ChangeLog,v 1.7 2007/07/04 15:08:07 voyageur Exp $
-
- 04 Jul 2007; Bernard Cafarelli <voyageur@gentoo.org>
- nxserver-2xterminalserver-1.5.0.ebuild:
- Add dev-perl/DateManip dependency, fix compilation against glib-2
- Closes bug #184114
-
- 11 Jun 2007; Bernard Cafarelli <voyageur@gentoo.org>
- nxserver-2xterminalserver-1.5.0.ebuild:
- Update dependencies, wrt bug #181614
-
- 12 May 2007; Bernard Cafarelli <voyageur@gentoo.org>
- nxserver-2xterminalserver-1.5.0.ebuild:
- Fixed file collision with nxclient-2xterminalserver
- Closes bug #178124
-
- 12 May 2007; Bernard Cafarelli <voyageur@gentoo.org> metadata.xml:
- Fixed maintainer in metadata.xml
-
- 30 Apr 2007; Bernard Cafarelli <voyageur@gentoo.org>
- nxserver-2xterminalserver-1.5.0.ebuild:
- Extended description
-
- 26 Apr 2007; Bernard Cafarelli <voyageur@gentoo.org>
- nxserver-2xterminalserver-1.5.0.ebuild:
- Updated blockers on other NX servers
-
-*nxserver-2xterminalserver-1.5.0 (25 Apr 2007)
-
- 25 Apr 2007; Bernard Cafarelli <voyageur@gentoo.org>
- +files/1.5.0/nx-x11-1.5.0-amd64.patch,
- +files/1.5.0/nx-x11-1.5.0-plastik-render-fix.patch,
- +files/1.5.0/nx-x11-1.5.0-tmp-exec.patch,
- +files/1.5.0/nx-x11-1.5.0-windows-linux-resume.patch,
- +files/1.5.0/nx-x11-1.5.0-xorg7-font-fix.patch,
- +files/1.5.0/nxserver-2xterminalserver-1.5.0-external-nxcomp.patch,
- +files/1.5.0/nxserver-2xterminalserver-1.5.0-insitu.patch,
- +files/1.5.0/nxserver-2xterminalserver-1.5.0-nxagent-reduced-debugging.pat
- ch, +files/1.5.0/nxserver-2xterminalserver-1.5.0-perl.patch,
- +files/1.5.0/nxserver-2xterminalserver-1.5.0-setup.patch, +metadata.xml,
- +nxserver-2xterminalserver-1.5.0.ebuild:
- Initial commit
-
diff --git a/net-misc/nxserver-2xterminalserver/Manifest b/net-misc/nxserver-2xterminalserver/Manifest
deleted file mode 100644
index a87da3d..0000000
--- a/net-misc/nxserver-2xterminalserver/Manifest
+++ /dev/null
@@ -1,16 +0,0 @@
-AUX 1.5.0/nx-x11-1.5.0-amd64.patch 522 RMD160 7ddb4ea671f01b9dfd9afba794c90d6180ce39cc SHA1 d7601f7accf1d3161933e98c37e0a679ccf481e7 SHA256 3da7bba55c801258359f9208ad63ea7d2a7a7a42c9aedd2e397f22b82147975b
-AUX 1.5.0/nx-x11-1.5.0-plastik-render-fix.patch 1095 RMD160 4131c9b6e4b37e1ccf67cf36577afc01ebe4455c SHA1 96fd62bd8ffcc2fff37d052515790b86ffe30eff SHA256 20ff4bec5bd300a7d0324766e390b9f57312e74e154a6934fac8122120b05616
-AUX 1.5.0/nx-x11-1.5.0-tmp-exec.patch 363 RMD160 5c79c55a9a50620f8d7feefe9a3264691b25ea96 SHA1 5e573ae6ba8c2f7ba3ac188613ebceb486594f82 SHA256 5ff39018f527c9054c09cd7904f448c852e8ee0066842776c6beb94082acdab3
-AUX 1.5.0/nx-x11-1.5.0-windows-linux-resume.patch 1383 RMD160 b2ea2200632ff5f6e9e238fab085bef15e9fd553 SHA1 5a95d58625418b8bda3ce13acb15af1fc629197d SHA256 060e2aa1fd05bcf0aa291782c35e795f43db62fead057360aae72ab7c4099fc8
-AUX 1.5.0/nx-x11-1.5.0-xorg7-font-fix.patch 17973 RMD160 66193b7b9dc2d2ec2d7072a02f6f55c1232b3937 SHA1 b3a5c294516bb59c4f90a7942d2cc0abd632286e SHA256 4b511644a1cb6e0e0c1bb09c78983e2b8a3e6dc865da68f5803ab7e97e2f4412
-AUX 1.5.0/nxserver-2xterminalserver-1.5.0-external-nxcomp.patch 4292 RMD160 96e7b372c9539b0c6041925ce28e86db9931b36b SHA1 34d43fb9b04f700a25ec775caac2b881696116d5 SHA256 895d3fddb8497bf2063f3ce8fe8c8b72e0309e912145747c2f472ba5cdf114a9
-AUX 1.5.0/nxserver-2xterminalserver-1.5.0-insitu.patch 5041 RMD160 6b6c6f0b94615b5398dd3a87c46e2ec2c75e0b0f SHA1 11ca560df004ee45de5d74e7ea9d8c8b0a6ae6cd SHA256 5a7b4126f31b3bc637de3fdc5916bef74d6092c162f907eac10e5a94a72c79fb
-AUX 1.5.0/nxserver-2xterminalserver-1.5.0-nxagent-reduced-debugging.patch 508 RMD160 eda50d0819696b61e305c0aade4bd998c7580d89 SHA1 512a43c19fdf73eebc1ed98378f6a9377cdfd6af SHA256 6cb2078c36979e39b58b37f79468c3cac7e9334f88b96f8134b2db7945af40ac
-AUX 1.5.0/nxserver-2xterminalserver-1.5.0-perl.patch 1136 RMD160 f4a5f2e8510e1db123e5856cc2390c06855e6a0b SHA1 dbaf034f82d884c3b4e0e91574aff7cf2bd4ee7f SHA256 ced705edc8a3379093f3809051c7db8617ba16e80d9610e8d093e026e4b20d58
-AUX 1.5.0/nxserver-2xterminalserver-1.5.0-setup.patch 2775 RMD160 1399d4e0a1e2da8f1e2c9203465bece738be6452 SHA1 dd8f6e7c43ac6a33dff2f84f4873606d1ffa0191 SHA256 f521231e67fe9e9aa1cbaa82a679483b5c4cdc01aac27b02cd72d5de350edfc6
-DIST linuxterminalserver-1.5.0-client-r21-src.tar.gz 2270147 RMD160 32fa31ee713d46e66c8a5e4aa14126995b225cfb SHA1 9295a232409b56ecb2fb4dccf81e6c05d65a7130 SHA256 70c7e3c9741b577b867e78524a1fb607aa2fae5d6f1bdda4b1a42eb9fd3d7bb3
-DIST linuxterminalserver-1.5.0-common-r21-src.tar.gz 34332949 RMD160 411291efa4bef31fbb5ff8128591514c687b9eeb SHA1 f63ed2816b13f1296db909b40ffb1c7d4cb5e109 SHA256 a6aaf7b1593d4df012ecefd1c8a6a176c0fde23cf9039401fe61f56197898555
-DIST linuxterminalserver-1.5.0-server-r21-src.tar.gz 4097853 RMD160 add7c5bcd2a4486d04c4c2b17815c4a449e2bd93 SHA1 14c2c04805889a08dfee9def45b07c3703db8d32 SHA256 79057d7fcf1fa3afd5f361eaac67d1f3d1fb339fa5a837f36eb7a6103d7662d3
-EBUILD nxserver-2xterminalserver-1.5.0.ebuild 6187 RMD160 e38de637307427d18e5d902304a3d3c9a8bf9048 SHA1 63c8b5f965018f3be71c7e7c7fd75db9898f35ca SHA256 2c3e1cd4e1852868f91fb0f197338d3f6575f750630b21b0c72430aee5774d7e
-MISC ChangeLog 1858 RMD160 b88e07708103788190d7d09e7588478bf71f6052 SHA1 d6c1ab3067771ebe04c96c6187f17f80343a5897 SHA256 73bda4755beae60675436e4e13ce71de64202da205a40a84d82606b2c5a13e4e
-MISC metadata.xml 246 RMD160 c08f42ab832909f7c8089ee0753f2e6409868a6b SHA1 f07065350c035c8975bc5876f7aa766b3cfe0721 SHA256 66d02cc487d0c973da93ce6d995ead7110463bd79243bf0002d5543f3daa087b
diff --git a/net-misc/nxserver-2xterminalserver/files/1.5.0/nx-x11-1.5.0-amd64.patch b/net-misc/nxserver-2xterminalserver/files/1.5.0/nx-x11-1.5.0-amd64.patch
deleted file mode 100644
index 638fc92..0000000
--- a/net-misc/nxserver-2xterminalserver/files/1.5.0/nx-x11-1.5.0-amd64.patch
+++ /dev/null
@@ -1,15 +0,0 @@
-diff -ru nx-X11-orig/lib/X11/XlcDL.c nx-X11/lib/X11/XlcDL.c
---- common/nx-X11-orig/lib/X11/XlcDL.c 2006-10-04 16:51:54.000000000 -0600
-+++ common/nx-X11/lib/X11/XlcDL.c 2006-10-04 16:52:55.000000000 -0600
-@@ -58,10 +58,8 @@
- #ifdef _LP64
- # if defined(__sparcv9)
- # define _MACH64_NAME "sparcv9"
--# elif defined(__ia64__)
--# undef MACH64_NAME
- # else
--# error "Unknown architecture"
-+# undef MACH64_NAME
- # endif /* defined(__sparcv9) */
- # ifdef _MACH64_NAME
- # define _MACH64_NAME_LEN (sizeof (_MACH64_NAME) - 1)
diff --git a/net-misc/nxserver-2xterminalserver/files/1.5.0/nx-x11-1.5.0-plastik-render-fix.patch b/net-misc/nxserver-2xterminalserver/files/1.5.0/nx-x11-1.5.0-plastik-render-fix.patch
deleted file mode 100644
index d896f97..0000000
--- a/net-misc/nxserver-2xterminalserver/files/1.5.0/nx-x11-1.5.0-plastik-render-fix.patch
+++ /dev/null
@@ -1,29 +0,0 @@
---- common/nx-X11/programs/Xserver/hw/nxagent/GCOps.c.orig 2006-11-22 21:59:13.000000000 +0000
-+++ common/nx-X11/programs/Xserver/hw/nxagent/GCOps.c 2006-11-22 22:03:12.000000000 +0000
-@@ -2399,7 +2399,7 @@
- {
- if ((pDrawable)->type == DRAWABLE_PIXMAP)
- {
-- miPolySegment(nxagentVirtualDrawable(pDrawable), pGC, nSegments, pSegments);
-+ fbPolySegment(nxagentVirtualDrawable(pDrawable), pGC, nSegments, pSegments);
- }
-
- return;
-@@ -2435,7 +2435,7 @@
- XDrawSegments(nxagentDisplay, nxagentDrawable(pDrawable), nxagentGC(pGC),
- (XSegment *)pSegments, nSegments);
- }
-- miPolySegment(nxagentVirtualDrawable(pDrawable), pGC, nSegments, pSegments);
-+ fbPolySegment(nxagentVirtualDrawable(pDrawable), pGC, nSegments, pSegments);
- return;
- }
- else
-@@ -2454,7 +2454,7 @@
- {
- if ((pDrawable)->type == DRAWABLE_PIXMAP)
- {
-- miPolyRectangle(nxagentVirtualDrawable(pDrawable), pGC, nRectangles, pRectangles);
-+ fbPolyRectangle(nxagentVirtualDrawable(pDrawable), pGC, nRectangles, pRectangles);
- }
-
- return;
diff --git a/net-misc/nxserver-2xterminalserver/files/1.5.0/nx-x11-1.5.0-tmp-exec.patch b/net-misc/nxserver-2xterminalserver/files/1.5.0/nx-x11-1.5.0-tmp-exec.patch
deleted file mode 100644
index 40f5faa..0000000
--- a/net-misc/nxserver-2xterminalserver/files/1.5.0/nx-x11-1.5.0-tmp-exec.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- common/nx-X11/config/imake/imake.c.orig 2006-11-05 00:10:49.000000000 +0000
-+++ common/nx-X11/config/imake/imake.c 2006-11-05 00:11:49.000000000 +0000
-@@ -974,7 +974,7 @@
- static void
- get_libc_version(FILE *inFile)
- {
-- char aout[] = "/tmp/imakeXXXXXX";
-+ char aout[] = "./imakeXXXXXX";
- FILE *fp;
- const char *format = "%s -o %s -x c -";
- char *cc;
diff --git a/net-misc/nxserver-2xterminalserver/files/1.5.0/nx-x11-1.5.0-windows-linux-resume.patch b/net-misc/nxserver-2xterminalserver/files/1.5.0/nx-x11-1.5.0-windows-linux-resume.patch
deleted file mode 100644
index 7f4a6bb..0000000
--- a/net-misc/nxserver-2xterminalserver/files/1.5.0/nx-x11-1.5.0-windows-linux-resume.patch
+++ /dev/null
@@ -1,37 +0,0 @@
---- common/nx-X11/programs/Xserver/hw/nxagent/Display.c.orig 2005-07-29 09:01:11.000000000 -0700
-+++ common/nx-X11/programs/Xserver/hw/nxagent/Display.c 2005-07-30 07:16:06.000000000 -0700
-@@ -1531,11 +1531,12 @@
- reconnectDisplayState = NOTHING;
- }
-
-+#define WARNING
- static Bool reloadVisuals(int flexibility)
- {
- int i, nitems;
- XVisualInfo *newVisuals, *vi;
-- unsigned long mask = VisualAllMask & ~VisualIDMask;
-+ unsigned long mask = VisualAllMask & ~VisualIDMask & ~VisualBitsPerRGBMask;
-
- newVisuals = malloc(sizeof(XVisualInfo) * nxagentNumVisuals);
-
-@@ -1577,6 +1578,10 @@
- }
- }
-
-+ #ifdef WARNING
-+ fprintf(stderr, "matched for %d visuals and found %d matching\n", nxagentNumVisuals,i);
-+ #endif
-+
- if (i == nxagentNumVisuals)
- {
- nxagentVisuals = newVisuals;
---- common/nx-X11/programs/Xserver/hw/nxagent/Visual.c.orig 2005-07-30 07:17:40.000000000 -0700
-+++ common/nx-X11/programs/Xserver/hw/nxagent/Visual.c 2005-07-30 07:17:44.000000000 -0700
-@@ -48,7 +48,6 @@
- for (i = 0; i < nxagentNumVisuals; i++)
- {
- if (pVisual->class == nxagentVisuals[i].class &&
-- pVisual->bitsPerRGBValue == nxagentVisuals[i].bits_per_rgb &&
- pVisual->ColormapEntries == nxagentVisuals[i].colormap_size &&
- pVisual->nplanes == nxagentVisuals[i].depth &&
- pVisual->redMask == nxagentVisuals[i].red_mask &&
diff --git a/net-misc/nxserver-2xterminalserver/files/1.5.0/nx-x11-1.5.0-xorg7-font-fix.patch b/net-misc/nxserver-2xterminalserver/files/1.5.0/nx-x11-1.5.0-xorg7-font-fix.patch
deleted file mode 100644
index 77c4887..0000000
--- a/net-misc/nxserver-2xterminalserver/files/1.5.0/nx-x11-1.5.0-xorg7-font-fix.patch
+++ /dev/null
@@ -1,394 +0,0 @@
-diff -uBb --recursive common.orig/nx-X11/lib/fontconfig/fonts.conf.in common/nx-X11/lib/fontconfig/fonts.conf.in
---- common.orig/nx-X11/lib/fontconfig/fonts.conf.in 2006-11-22 22:13:28.000000000 +0000
-+++ common/nx-X11/lib/fontconfig/fonts.conf.in 2006-11-22 22:17:43.000000000 +0000
-@@ -24,7 +24,7 @@
- Common X11R6 font directories
- -->
-
-- <dir>/usr/X11R6/lib/X11/fonts</dir>
-+ <dir>/usr/share/fonts</dir>
- <dir>/usr/share/fonts</dir>
- <dir>~/.fonts</dir>
-
-diff -uBb --recursive common.orig/nx-X11/lib/fontconfig/src/fontconfig.man common/nx-X11/lib/fontconfig/src/fontconfig.man
---- common.orig/nx-X11/lib/fontconfig/src/fontconfig.man 2006-11-22 22:13:28.000000000 +0000
-+++ common/nx-X11/lib/fontconfig/src/fontconfig.man 2006-11-22 22:17:44.000000000 +0000
-@@ -1352,8 +1352,8 @@
- <!--
- Find fonts in these directories
- -->
--<dir>/usr/X11R6/lib/X11/fonts/truetype</dir>
--<dir>/usr/X11R6/lib/X11/fonts/Type1</dir>
-+<dir>/usr/share/fonts/truetype</dir>
-+<dir>/usr/share/fonts/Type1</dir>
-
- <!--
- Accept deprecated 'mono' alias, replacing it with 'monospace'
-diff -uBb --recursive common.orig/nx-X11/programs/mkcfm/mkcfm.c common/nx-X11/programs/mkcfm/mkcfm.c
---- common.orig/nx-X11/programs/mkcfm/mkcfm.c 2006-11-22 22:13:27.000000000 +0000
-+++ common/nx-X11/programs/mkcfm/mkcfm.c 2006-11-22 22:17:30.000000000 +0000
-@@ -48,7 +48,7 @@
- static void CIDFillVals(FontScalablePtr);
- static Bool DoDirectory(char *dirName);
-
--#define DEFAULTCID "/usr/X11R6/lib/X11/fonts/CID"
-+#define DEFAULTCID "/usr/share/fonts/CID"
- #define DECIPOINTSPERINCH 722.7
- #define DEFAULTRES 75
- #define DEFAULTPOINTSIZE 120
-diff -uBb --recursive common.orig/nx-X11/programs/mkcfm/mkcfm.man common/nx-X11/programs/mkcfm/mkcfm.man
---- common.orig/nx-X11/programs/mkcfm/mkcfm.man 2006-11-22 22:13:27.000000000 +0000
-+++ common/nx-X11/programs/mkcfm/mkcfm.man 2006-11-22 22:17:30.000000000 +0000
-@@ -24,7 +24,7 @@
- [\fICID-font-directory-name\fP]
- .SH DESCRIPTION
- There is usually only one CID font directory on the X font path. It is
--usually called \fI/usr/X11R6/lib/X11/fonts/CID\fP. If you do not specify
-+usually called \fI/usr/share/fonts/CID\fP. If you do not specify
- an argument, \fImkcfm\fP will try to go through the subdirectories of
- that directory, and create one summary of font metric files for each
- CIDFont (character descriptions) file and each CMap (Character Maps) file
-diff -uBb --recursive common.orig/nx-X11/programs/xfs/xfs.man common/nx-X11/programs/xfs/xfs.man
---- common.orig/nx-X11/programs/xfs/xfs.man 2006-11-22 22:13:27.000000000 +0000
-+++ common/nx-X11/programs/xfs/xfs.man 2006-11-22 22:17:29.000000000 +0000
-@@ -186,9 +186,9 @@
- XCOMM the first is a set of Speedo outlines, the second is a set of
- XCOMM misc bitmaps and the last is a set of 100dpi bitmaps
- XCOMM
--catalogue = /usr/X11R6/lib/X11/fonts/speedo,
-- /usr/X11R6/lib/X11/fonts/misc,
-- /usr/X11R6/lib/X11/fonts/100dpi/
-+catalogue = /usr/share/fonts/speedo,
-+ /usr/share/fonts/misc,
-+ /usr/share/fonts/100dpi/
-
- XCOMM in 12 points, decipoints
- default-point-size = 120
-diff -uBb --recursive common.orig/nx-X11/programs/Xserver/hw/xfree86/doc/Install common/nx-X11/programs/Xserver/hw/xfree86/doc/Install
---- common.orig/nx-X11/programs/Xserver/hw/xfree86/doc/Install 2006-11-22 22:13:24.000000000 +0000
-+++ common/nx-X11/programs/Xserver/hw/xfree86/doc/Install 2006-11-22 22:17:13.000000000 +0000
-@@ -318,7 +318,7 @@
- chmod ug-w /usr/X11R6/lib # Make sure the permissions are OK
- /sbin/ldconfig /usr/X11R6/lib # For Linux
- /sbin/ldconfig -m /usr/X11R6/lib # For FreeBSD, NetBSD, OpenBSD
-- /usr/X11R6/bin/mkfontdir /usr/X11R6/lib/X11/fonts/misc
-+ /usr/X11R6/bin/mkfontdir /usr/share/fonts/misc
-
- 4.2 Installing over an old installation
-
-@@ -378,7 +378,7 @@
- chmod ug-w /usr/X11R6/lib # Make sure the permissions are OK
- /sbin/ldconfig /usr/X11R6/lib # For Linux
- /sbin/ldconfig -m /usr/X11R6/lib # For FreeBSD, NetBSD, OpenBSD
-- /usr/X11R6/bin/mkfontdir /usr/X11R6/lib/X11/fonts/misc
-+ /usr/X11R6/bin/mkfontdir /usr/share/fonts/misc
-
- Generated from XFree86: xc/programs/Xserver/hw/xfree86/doc/sgml/Install.sgml,v 1.17 2003/02/24 17:09:16 dawes Exp $
-
-diff -uBb --recursive common.orig/nx-X11/programs/Xserver/hw/xfree86/doc/Japanese/man/XF86Config.man common/nx-X11/programs/Xserver/hw/xfree86/doc/Japanese/man/XF86Config.man
---- common.orig/nx-X11/programs/Xserver/hw/xfree86/doc/Japanese/man/XF86Config.man 2006-11-22 22:13:24.000000000 +0000
-+++ common/nx-X11/programs/Xserver/hw/xfree86/doc/Japanese/man/XF86Config.man 2006-11-22 22:17:13.000000000 +0000
-@@ -99,16 +99,16 @@
- .\" X11R6 allows the X server to request fonts from a font server. A
- .\" font server is specified by placing a "<trans>/<hostname>:<port_number>"
- .\" entry into the fontpath. For example, the fontpath
--.\" "/usr/X11R6/lib/X11/fonts/misc/,tcp/zok:7100" tells the X server
-+.\" "/usr/share/fonts/misc/,tcp/zok:7100" tells the X server
- .\" to first try to locate the font in the local directory
--.\" /usr/X11R6/lib/X11/fonts/misc. If that fails, then request the
-+.\" /usr/share/fonts/misc. If that fails, then request the
- .\" font from the \fIfont server\fP running on machine zok listening
- .\" for connections on TCP port number 7100.
- X11R6 は X サーバがフォントサーバにフォントを要求することが可能
- になりました。フォントサーバは場所を "<trans>/<hostname>:<port_number>"
- とフォントパスに指定します。例えば、フォントパス
--"/usr/X11R6/lib/X11/fonts/misc/,tcp/zok:7100" はまず最初にローカル
--ディレクトリ /usr/X11R6/lib/X11/fonts/misc を X サーバに伝えます。
-+"/usr/share/fonts/misc/,tcp/zok:7100" はまず最初にローカル
-+ディレクトリ /usr/share/fonts/misc を X サーバに伝えます。
- これが失敗したときに、ポート番号 7100 から TCP で接続して聞いて
- (listening) いる zok というホストで動作している \fIフォントサーバ\fP
- にフォントを要求します。
-diff -uBb --recursive common.orig/nx-X11/programs/Xserver/hw/xfree86/doc/Japanese/sgml/RELNOTE.sgml common/nx-X11/programs/Xserver/hw/xfree86/doc/Japanese/sgml/RELNOTE.sgml
---- common.orig/nx-X11/programs/Xserver/hw/xfree86/doc/Japanese/sgml/RELNOTE.sgml 2006-11-22 22:13:24.000000000 +0000
-+++ common/nx-X11/programs/Xserver/hw/xfree86/doc/Japanese/sgml/RELNOTE.sgml 2006-11-22 22:17:13.000000000 +0000
-@@ -1372,7 +1372,7 @@
- 3.1.2D (or are not sure if you installed it), you should run the following:
-
- <tscreen><verb>
-- /usr/X11R6/bin/mkfontdir /usr/X11R6/lib/X11/fonts/misc
-+ /usr/X11R6/bin/mkfontdir /usr/share/fonts/misc
- </verb></tscreen>
-
- An up-to-date version of the xterm termcap and terminfo entries is
-diff -uBb --recursive common.orig/nx-X11/programs/Xserver/hw/xfree86/doc/README.fonts common/nx-X11/programs/Xserver/hw/xfree86/doc/README.fonts
---- common.orig/nx-X11/programs/Xserver/hw/xfree86/doc/README.fonts 2006-11-22 22:13:24.000000000 +0000
-+++ common/nx-X11/programs/Xserver/hw/xfree86/doc/README.fonts 2006-11-22 22:17:13.000000000 +0000
-@@ -253,7 +253,7 @@
-
- The CIDFont code in XFree86 requires a very rigid directory structure. The
- main directory must be called `CID' (its location defaults to
--`/usr/X11R6/lib/X11/fonts/CID' but it may be located anywhere), and it should
-+`/usr/share/fonts/CID' but it may be located anywhere), and it should
- contain a subdirectory for every CID collection. Every subdirectory must
- contain subdirectories called CIDFont (containing the actual CIDFont files),
- CMap (containing all the needed CMaps), AFM (containing the font metric
-@@ -398,7 +398,7 @@
-
- For example, the font file
-
-- /usr/X11R6/lib/X11/fonts/misc/6x13.bdf
-+ /usr/share/fonts/misc/6x13.bdf
-
- with XLFD
-
-@@ -442,7 +442,7 @@
-
- and resides in the font file
-
-- /usr/X11R6/lib/X11/fonts/misc/cu12.pcf.gz
-+ /usr/share/fonts/misc/cu12.pcf.gz
-
- Additional ClearlyU fonts include
-
-@@ -480,7 +480,7 @@
-
- and reside in the font files
-
-- /usr/X11R6/lib/X11/fonts/Type1/cour*.pfa
-+ /usr/share/fonts/Type1/cour*.pfa
-
- The Adobe Utopia set of fonts only cover ISO 8859-1 as well as Adobe Standard
- Encoding. These fonts have XLFD
-@@ -489,7 +489,7 @@
-
- and reside in the font files
-
-- /usr/X11R6/lib/X11/fonts/Type1/UT*.pfa
-+ /usr/share/fonts/Type1/UT*.pfa
-
- Finally, XFree86 also comes with Type 1 versions of Bitstream Courier and
- Charter. These fonts have XLFD
-@@ -499,7 +499,7 @@
-
- and reside in the font files
-
-- /usr/X11R6/lib/X11/fonts/Type1/c*bt_.pfb
-+ /usr/share/fonts/Type1/c*bt_.pfb
-
- 3.3.2 Standard Speedo fonts
-
-@@ -515,7 +515,7 @@
-
- and reside in the font files
-
-- /usr/X11R6/lib/X11/fonts/Speedo/font*.spd
-+ /usr/share/fonts/Speedo/font*.spd
-
- 3.4 The Bigelow & Holmes Luxi family
-
-@@ -699,7 +699,7 @@
- In order to use a font in an encoding that the font backend does not know
- about, you need to have an `encodings.dir' file either in the same directory
- as the font file used or in a system-wide location
--(`/usr/X11R6/lib/X11/fonts/encodings/' by default).
-+(`/usr/share/fonts/encodings/' by default).
-
- The `encodings.dir' file has a similar format to `fonts.dir'. Its first line
- specifies the number of encodings, while every successive line has two
-@@ -709,9 +709,9 @@
- ple,
-
- 3
-- mulearabic-0 /usr/X11R6/lib/X11/fonts/encodings/mulearabic-0.enc
-- mulearabic-1 /usr/X11R6/lib/X11/fonts/encodings/mulearabic-1.enc
-- mulearabic-2 /usr/X11R6/lib/X11/fonts/encodings/mulearabic-2.enc
-+ mulearabic-0 /usr/share/fonts/encodings/mulearabic-0.enc
-+ mulearabic-1 /usr/share/fonts/encodings/mulearabic-1.enc
-+ mulearabic-2 /usr/share/fonts/encodings/mulearabic-2.enc
-
- The name of an encoding must be specified in the encoding file's `STARTENCOD-
- ING' or `ALIAS' line. It is not enough to create an `encodings.dir' entry.
-diff -uBb --recursive common.orig/nx-X11/programs/Xserver/hw/xfree86/doc/README.SVR4 common/nx-X11/programs/Xserver/hw/xfree86/doc/README.SVR4
---- common.orig/nx-X11/programs/Xserver/hw/xfree86/doc/README.SVR4 2006-11-22 22:13:24.000000000 +0000
-+++ common/nx-X11/programs/Xserver/hw/xfree86/doc/README.SVR4 2006-11-22 22:17:13.000000000 +0000
-@@ -295,9 +295,9 @@
- for i in *pc???.bdf
- do
- /usr/X11R6/bin/bdftopcf $i > \
-- /usr/X11R6/lib/X11/fonts/misc/`basename $i .bdf`.pcf
-+ /usr/share/fonts/misc/`basename $i .bdf`.pcf
- done
-- cd /usr/X11R6/lib/X11/fonts/misc
-+ cd /usr/share/fonts/misc
- /usr/X11R6/bin/mkfontdir
- # Do this only if the server is already running.
- /usr/X11R6/bin/xset fp rehash
-diff -uBb --recursive common.orig/nx-X11/programs/Xserver/hw/xfree86/doc/sgml/fonts.sgml common/nx-X11/programs/Xserver/hw/xfree86/doc/sgml/fonts.sgml
---- common.orig/nx-X11/programs/Xserver/hw/xfree86/doc/sgml/fonts.sgml 2006-11-22 22:13:24.000000000 +0000
-+++ common/nx-X11/programs/Xserver/hw/xfree86/doc/sgml/fonts.sgml 2006-11-22 22:17:14.000000000 +0000
-@@ -296,7 +296,7 @@
-
- The CIDFont code in XFree86 requires a very rigid directory
- structure. The main directory must be called `<tt/CID/' (its location
--defaults to `<tt>/usr/X11R6/lib/X11/fonts/CID</tt>' but it may be
-+defaults to `<tt>/usr/share/fonts/CID</tt>' but it may be
- located anywhere), and it should contain a subdirectory for every CID
- collection. Every subdirectory <it/must/ contain subdirectories
- called <tt/CIDFont/ (containing the actual CIDFont files), <tt/CMap/
-@@ -457,7 +457,7 @@
-
- For example, the font file
- <tscreen><verb>
--/usr/X11R6/lib/X11/fonts/misc/6x13.bdf
-+/usr/share/fonts/misc/6x13.bdf
- </verb></tscreen>
- with XLFD
- <tscreen><verb>
-@@ -502,7 +502,7 @@
- </verb></tscreen>
- and resides in the font file
- <tscreen><verb>
--/usr/X11R6/lib/X11/fonts/misc/cu12.pcf.gz
-+/usr/share/fonts/misc/cu12.pcf.gz
- </verb></tscreen>
- Additional ClearlyU fonts include
- <tscreen><verb>
-@@ -542,7 +542,7 @@
- </verb></tscreen>
- and reside in the font files
- <tscreen><verb>
--/usr/X11R6/lib/X11/fonts/Type1/cour*.pfa
-+/usr/share/fonts/Type1/cour*.pfa
- </verb></tscreen>
-
- The Adobe Utopia set of fonts only cover ISO&nbsp;8859-1 as well as
-@@ -552,7 +552,7 @@
- </verb></tscreen>
- and reside in the font files
- <tscreen><verb>
--/usr/X11R6/lib/X11/fonts/Type1/UT*.pfa
-+/usr/share/fonts/Type1/UT*.pfa
- </verb></tscreen>
-
- Finally, XFree86 also comes with Type&nbsp;1 versions of Bitstream
-@@ -563,7 +563,7 @@
- </verb></tscreen>
- and reside in the font files
- <tscreen><verb>
--/usr/X11R6/lib/X11/fonts/Type1/c*bt_.pfb
-+/usr/share/fonts/Type1/c*bt_.pfb
- </verb></tscreen>
-
- <sect2>Standard Speedo fonts
-@@ -581,7 +581,7 @@
- </verb></tscreen>
- and reside in the font files
- <tscreen><verb>
--/usr/X11R6/lib/X11/fonts/Speedo/font*.spd
-+/usr/share/fonts/Speedo/font*.spd
- </verb></tscreen>
-
- <sect1>The Bigelow &amp; Holmes Luxi family
-@@ -770,7 +770,7 @@
- <p>In order to use a font in an encoding that the font backend does
- not know about, you need to have an `<tt/encodings.dir/' file either
- in the same directory as the font file used or in a system-wide
--location (`<tt>/usr/X11R6/lib/X11/fonts/encodings/</tt>' by default).
-+location (`<tt>/usr/share/fonts/encodings/</tt>' by default).
-
- The `<tt/encodings.dir/' file has a similar format to
- `<tt/fonts.dir/'. Its first line specifies the number of encodings,
-@@ -781,9 +781,9 @@
-
- <tscreen><verb>
- 3
--mulearabic-0 /usr/X11R6/lib/X11/fonts/encodings/mulearabic-0.enc
--mulearabic-1 /usr/X11R6/lib/X11/fonts/encodings/mulearabic-1.enc
--mulearabic-2 /usr/X11R6/lib/X11/fonts/encodings/mulearabic-2.enc
-+mulearabic-0 /usr/share/fonts/encodings/mulearabic-0.enc
-+mulearabic-1 /usr/share/fonts/encodings/mulearabic-1.enc
-+mulearabic-2 /usr/share/fonts/encodings/mulearabic-2.enc
- </verb></tscreen>
-
- The name of an encoding <it/must/ be specified in the encoding file's
-diff -uBb --recursive common.orig/nx-X11/programs/Xserver/hw/xfree86/doc/sgml/Install.sgml common/nx-X11/programs/Xserver/hw/xfree86/doc/sgml/Install.sgml
---- common.orig/nx-X11/programs/Xserver/hw/xfree86/doc/sgml/Install.sgml 2006-11-22 22:13:24.000000000 +0000
-+++ common/nx-X11/programs/Xserver/hw/xfree86/doc/sgml/Install.sgml 2006-11-22 22:17:13.000000000 +0000
-@@ -432,7 +432,7 @@
- chmod ug-w /usr/X11R6/lib # Make sure the permissions are OK
- /sbin/ldconfig /usr/X11R6/lib # For Linux
- /sbin/ldconfig -m /usr/X11R6/lib # For FreeBSD, NetBSD, OpenBSD
--/usr/X11R6/bin/mkfontdir /usr/X11R6/lib/X11/fonts/misc
-+/usr/X11R6/bin/mkfontdir /usr/share/fonts/misc
- </verb></tscreen>
-
- <sect1>Installing over an old installation
-@@ -511,7 +511,7 @@
- chmod ug-w /usr/X11R6/lib # Make sure the permissions are OK
- /sbin/ldconfig /usr/X11R6/lib # For Linux
- /sbin/ldconfig -m /usr/X11R6/lib # For FreeBSD, NetBSD, OpenBSD
--/usr/X11R6/bin/mkfontdir /usr/X11R6/lib/X11/fonts/misc
-+/usr/X11R6/bin/mkfontdir /usr/share/fonts/misc
- </verb></tscreen>
-
- ]]>
-diff -uBb --recursive common.orig/nx-X11/programs/Xserver/hw/xfree86/doc/sgml/SVR4.sgml common/nx-X11/programs/Xserver/hw/xfree86/doc/sgml/SVR4.sgml
---- common.orig/nx-X11/programs/Xserver/hw/xfree86/doc/sgml/SVR4.sgml 2006-11-22 22:13:24.000000000 +0000
-+++ common/nx-X11/programs/Xserver/hw/xfree86/doc/sgml/SVR4.sgml 2006-11-22 22:17:13.000000000 +0000
-@@ -328,9 +328,9 @@
- for i in *pc???.bdf
- do
- /usr/X11R6/bin/bdftopcf $i > \
-- /usr/X11R6/lib/X11/fonts/misc/`basename $i .bdf`.pcf
-+ /usr/share/fonts/misc/`basename $i .bdf`.pcf
- done
-- cd /usr/X11R6/lib/X11/fonts/misc
-+ cd /usr/share/fonts/misc
- /usr/X11R6/bin/mkfontdir
- # Do this only if the server is already running.
- /usr/X11R6/bin/xset fp rehash
-diff -uBb --recursive common.orig/nx-X11/programs/Xserver/hw/xfree86/drivers/newport/XF86Config.indy common/nx-X11/programs/Xserver/hw/xfree86/drivers/newport/XF86Config.indy
---- common.orig/nx-X11/programs/Xserver/hw/xfree86/drivers/newport/XF86Config.indy 2006-11-22 22:13:24.000000000 +0000
-+++ common/nx-X11/programs/Xserver/hw/xfree86/drivers/newport/XF86Config.indy 2006-11-22 22:17:17.000000000 +0000
-@@ -52,15 +52,15 @@
- # as well as specifying multiple comma-separated entries in one FontPath
- # command (or a combination of both methods)
-
-- FontPath "/usr/X11R6/lib/X11/fonts/local/"
-- FontPath "/usr/X11R6/lib/X11/fonts/misc/"
-- FontPath "/usr/X11R6/lib/X11/fonts/75dpi/:unscaled"
-- FontPath "/usr/X11R6/lib/X11/fonts/100dpi/:unscaled"
-- FontPath "/usr/X11R6/lib/X11/fonts/Type1/"
-- FontPath "/usr/X11R6/lib/X11/fonts/CID/"
-- FontPath "/usr/X11R6/lib/X11/fonts/Speedo/"
-- FontPath "/usr/X11R6/lib/X11/fonts/75dpi/"
-- FontPath "/usr/X11R6/lib/X11/fonts/100dpi/"
-+ FontPath "/usr/share/fonts/local/"
-+ FontPath "/usr/share/fonts/misc/"
-+ FontPath "/usr/share/fonts/75dpi/:unscaled"
-+ FontPath "/usr/share/fonts/100dpi/:unscaled"
-+ FontPath "/usr/share/fonts/Type1/"
-+ FontPath "/usr/share/fonts/CID/"
-+ FontPath "/usr/share/fonts/Speedo/"
-+ FontPath "/usr/share/fonts/75dpi/"
-+ FontPath "/usr/share/fonts/100dpi/"
-
- # ModulePath can be used to set a search path for the X server modules.
- # The default path is shown here.
-diff -uBb --recursive common.orig/nx-X11/programs/Xserver/hw/xfree86/etc/install.sv3 common/nx-X11/programs/Xserver/hw/xfree86/etc/install.sv3
---- common.orig/nx-X11/programs/Xserver/hw/xfree86/etc/install.sv3 2006-11-22 22:13:24.000000000 +0000
-+++ common/nx-X11/programs/Xserver/hw/xfree86/etc/install.sv3 2006-11-22 22:17:22.000000000 +0000
-@@ -549,9 +549,9 @@
- read answer
- [ "$answer" = "y" -o "$answer" = "Y" ] && {
- sed -e 's/FONT 8x16/FONT vga/' </usr/lib/loadfont/vga437.bdf \
-- | bdftopcf -t >/usr/X11R6/lib/X11/fonts/misc/vga.pcf
-- chmod 644 /usr/X11R6/lib/X11/fonts/misc/fonts.dir
-- mkfontdir /usr/X11R6/lib/X11/fonts/misc
-+ | bdftopcf -t >/usr/share/fonts/misc/vga.pcf
-+ chmod 644 /usr/share/fonts/misc/fonts.dir
-+ mkfontdir /usr/share/fonts/misc
- }
- fi
- }
diff --git a/net-misc/nxserver-2xterminalserver/files/1.5.0/nxserver-2xterminalserver-1.5.0-external-nxcomp.patch b/net-misc/nxserver-2xterminalserver/files/1.5.0/nxserver-2xterminalserver-1.5.0-external-nxcomp.patch
deleted file mode 100644
index eb7f9d2..0000000
--- a/net-misc/nxserver-2xterminalserver/files/1.5.0/nxserver-2xterminalserver-1.5.0-external-nxcomp.patch
+++ /dev/null
@@ -1,97 +0,0 @@
---- common/nx-X11/lib/X11/Imakefile.orig 2007-03-08 16:53:42.000000000 +0100
-+++ common/nx-X11/lib/X11/Imakefile 2007-03-08 16:56:58.000000000 +0100
-@@ -58,9 +58,10 @@
- # -DNX_CLEAN_FLUSH \
- # -DNX_CLEAN_SEND \
-
--NX_XCOMPLIBTARGET = ../../../nxcomp/libXcomp.so
-+NX_PREFIX = /usr/NX
-+NX_XCOMPLIBTARGET = $(NX_PREFIX)/lib/libXcomp.so
-
--NX_REQUIREDLIBS = -L../../../nxcomp -lXcomp
-+NX_REQUIREDLIBS = -L$(NX_PREFIX)/lib -lXcomp
-
- #endif
-
-@@ -1132,18 +1133,6 @@
-
- #if NXLibraries
-
--#ifdef SunArchitecture
--$(NX_XCOMPLIBTARGET):
-- cd ../../../nxcomp && \
-- ./configure && \
-- gmake
--#else
--$(NX_XCOMPLIBTARGET):
-- cd ../../../nxcomp && \
-- ./configure && \
-- make
--#endif
--
- depend:: $(NX_XCOMPLIBTARGET) ks_tables.h
-
- #else
---- common/nx-X11/programs/Xserver/Imakefile.orig 2007-03-08 18:57:58.000000000 +0100
-+++ common/nx-X11/programs/Xserver/Imakefile 2007-03-08 18:58:20.000000000 +0100
-@@ -1368,11 +1368,7 @@
- * We need this as the linker will try to locate dependencies of X11 and Xext.
- */
-
--#if defined(SunArchitecture)
--NXAGENTNXLIBS = -L ../../../nxcomp -L ../../../nxcompext -lXcomp -lXcompext -lrt -L/usr/sfw/lib -lXrender
--#else
--NXAGENTNXLIBS = -Wl,-rpath-link,../../../nxcomp -Wl,-rpath-link,../../../nxcompext,-lXrender
--#endif
-+NXAGENTNXLIBS = -Wl,-rpath-link,/usr/NX/lib -Wl,-rpath-link,../../../nxcompext,-lXrender
-
- #endif
- ServerTarget(nxagent,$(NXAGENTDIRS),$(NXAGENTOBJS), \
---- common/nx-X11/lib/Xext/Imakefile.orig 2007-03-09 10:26:20.000000000 +0100
-+++ common/nx-X11/lib/Xext/Imakefile 2007-03-09 10:26:42.000000000 +0100
-@@ -60,14 +60,7 @@
- LINTLIBS = $(LINTXLIB)
-
- #if NXLibraries
--
--$(NX_XCOMPLIBEXTTARGET):
-- cd ../../../nxcompext && \
-- ./configure && \
-- make
--
- all:: $(NX_XCOMPLIBEXTTARGET)
--
- #endif
-
- #include <Library.tmpl>
---- client/nxdesktop/configure.orig 2007-03-09 11:16:59.000000000 +0100
-+++ client/nxdesktop/configure 2007-03-09 11:23:41.000000000 +0100
-@@ -162,7 +162,7 @@
-
- # Find X installation
-
--xdirs="$extraxdir ../nx-X11/exports /usr/X11R6 /usr/X11 /usr/openwin /usr /usr/local/X11R6 /usr/local/X11 /usr/local"
-+xdirs="$extraxdir ../../common/nx-X11/exports /usr/X11R6 /usr/X11 /usr/openwin /usr /usr/local/X11R6 /usr/local/X11 /usr/local"
-
- for dir in $xdirs; do
- if [ -f $dir/include/X11/Xlib.h ]; then
-@@ -195,7 +195,7 @@
- rpath="$rpath:$xdir/lib"
- fi
-
--ldflags="$ldflags"
-+ldflags="$ldflags -L/usr/NX/lib"
- targets="$targets nxdesktop"
-
- #withoutopenssl not currently supported
---- server/nxviewer/nxviewer/Imakefile.orig 2007-03-09 11:35:58.000000000 +0100
-+++ server/nxviewer/nxviewer/Imakefile 2007-03-09 11:36:50.000000000 +0100
-@@ -54,7 +54,7 @@
-
- DEPLIBS = XawClientDepLibs $(VNCAUTH_LIB)
-
--LOCAL_LIBRARIES = XawClientLibs $(VNCAUTH_LIB) $(ZLIB_LIB) $(JPEG_LIB) $(NX_LIB)
-+LOCAL_LIBRARIES = XawClientLibs $(VNCAUTH_LIB) $(ZLIB_LIB) $(JPEG_LIB) $(NX_LIB) -L/usr/NX/lib
-
- #ifdef SunArchitecture
- LOCAL_LIBRARIES = $(NX_LIB) $(SUN_LIB) XawClientLibs $(VNCAUTH_LIB) $(ZLIB_LIB) $(JPEG_LIB)
diff --git a/net-misc/nxserver-2xterminalserver/files/1.5.0/nxserver-2xterminalserver-1.5.0-insitu.patch b/net-misc/nxserver-2xterminalserver/files/1.5.0/nxserver-2xterminalserver-1.5.0-insitu.patch
deleted file mode 100644
index 86ab44d..0000000
--- a/net-misc/nxserver-2xterminalserver/files/1.5.0/nxserver-2xterminalserver-1.5.0-insitu.patch
+++ /dev/null
@@ -1,123 +0,0 @@
-diff -uBb --recursive common.orig/nxcompext/Makefile.in common/nxcompext/Makefile.in
---- common.orig/nxcompext/Makefile.in 2006-11-22 22:30:10.000000000 +0000
-+++ common/nxcompext/Makefile.in 2006-11-22 22:34:08.000000000 +0000
-@@ -19,7 +19,7 @@
-
- CC = @CC@
- CCFLAGS = $(CXXFLAGS)
--CCINCLUDES = -I. -I../nxcomp
-+CCINCLUDES = -I. -I../nxcomp -I../nx-X11/lib/X11 -I../nx-X11/include -I../nx-X11/programs/Xserver/include
- CCDEFINES =
-
- LDFLAGS = @LDFLAGS@ -L../nx-X11/lib/X11 -L../nxcomp
-diff -uBb --recursive client.orig/nxdesktop/Makefile client/nxdesktop/Makefile
---- client.orig/nxdesktop/Makefile 2006-11-23 07:49:51.000000000 +0000
-+++ client/nxdesktop/Makefile 2006-11-23 07:52:17.000000000 +0000
-@@ -30,8 +30,8 @@
- mandir = $(prefix)/man
- datadir = $(prefix)/share
-
--INCLUDES = -I../nxcomp -I../nxcompext
--LDLIBS = -lXpm -L../nxcompext -lXcompext -L../nxcomp -lXcomp -lX11 -lXext
-+INCLUDES = -I../../common/nxcomp -I../../common/nxcompext
-+LDLIBS = -L../../common/nx-X11 -lXpm -L../../common/nxcompext -lXcompext -L../../common/nxcomp -lXcomp -lX11 -lXext
- VERSION = 1.5.0-2
- KEYMAP_PATH = $(datadir)/keymaps-windows/
-
-diff -uBb --recursive server.orig/nxnode/src/configure server/nxnode/src/configure
---- server.orig/nxnode/src/configure 2006-11-23 22:07:58.000000000 +0000
-+++ server/nxnode/src/configure 2006-11-23 22:08:43.000000000 +0000
-@@ -78,9 +78,7 @@
- fi
-
- echo "Checking perl path"
--out=`../../perl/bin/perl -V:bin`
--eval $out
--perlbin="$bin/perl"
-+perlbin="/usr/bin/perl"
-
- echo "Created Makefile"
- cp -f Makefile.in Makefile
-diff -uBb --recursive server.orig/nxsensor/server/Makefile server/nxsensor/server/Makefile
---- server.orig/nxsensor/server/Makefile 2006-11-23 21:46:17.000000000 +0000
-+++ server/nxsensor/server/Makefile 2006-11-23 21:48:48.000000000 +0000
-@@ -35,20 +35,20 @@
- endif
- PKG_LIB = `$(PKG_CONFIG) --libs glib-2.0 gmodule-2.0 gthread-2.0`
-
--#GLIB12_INCLUDE = `glib-config --cflags`
--#GLIB12_LIB = `glib-config --libs glib gmodule`
-+GLIB12_INCLUDE = `glib-config --cflags`
-+GLIB12_LIB = `glib-config --libs glib gmodule`
-
--GLIB12_INCLUDE = -I../../glib-1.2.8/ -I../../glib-1.2.8/gmodule/ -I../../glib-1.2.8/gthread/
--GLIB12_LIB = -L../../glib-1.2.8/.libs -L../../glib-1.2.8/gmodule/.libs -L../../glib-1.2.8/gthread/.libs -lglib -lgmodule -lgthread -ldl
-+#GLIB12_INCLUDE = -I../../glib-1.2.8/ -I../../glib-1.2.8/gmodule/ -I../../glib-1.2.8/gthread/
-+#GLIB12_LIB = -L../../glib-1.2.8/.libs -L../../glib-1.2.8/gmodule/.libs -L../../glib-1.2.8/gthread/.libs -lglib -lgmodule -lgthread -ldl
-
- LD_RUN_PATH = /usr/NX/lib
-
--FLAGS = -O3 -I.. $(PKG_INCLUDE) $(GTOP_INCLUDE)
-+FLAGS = $(CFLAGS) -I.. $(PKG_INCLUDE) $(GTOP_INCLUDE)
- ifeq ($(glib12),1)
--FLAGS = -O3 -I.. $(GLIB12_INCLUDE) $(GTOP_INCLUDE)
-+FLAGS = $(CFLAGS) -I.. $(GLIB12_INCLUDE) $(GTOP_INCLUDE)
- endif
- ifeq ($(glib12),yes)
--FLAGS = -O3 -I.. $(GLIB12_INCLUDE) $(GTOP_INCLUDE)
-+FLAGS = $(CFLAGS) -I.. $(GLIB12_INCLUDE) $(GTOP_INCLUDE)
- endif
-
- FLAGS+= $(PTHREAD_INC)
-diff -ubB --recursive server.orig/nxviewer/nxviewer/Imakefile server/nxviewer/nxviewer/Imakefile
---- server.orig/nxviewer/nxviewer/Imakefile 2006-11-23 20:23:37.000000000 +0000
-+++ server/nxviewer/nxviewer/Imakefile 2006-11-23 20:25:41.000000000 +0000
-@@ -15,42 +15,24 @@
- /* */
- /***************************************************************************/
-
--#ifdef SunArchitecture
--EXTRA_DEFINES = -D__EXTENSIONS__
--#endif
--
- XCOMM Shared memory support works OK on x86 linux, not tested elsewhere but
- XCOMM seems to cause problems on Digital Unix.
-
- #if defined(i386Architecture) && defined(LinuxArchitecture)
- DEFINES = -DMITSHM
--ZLIB_INC = -I../../zlib-1-2.1
--JPEG_INC = -I../../jpeg-6b
- #endif
-
--NX_INC = -I../../nxcomp -I../../nxcompext -I../../nx-X11/exports/include
--NX_LIB = -L../../nxcomp -lXcomp -L../../nxcompext -lXcompext
--
--#ifdef SunArchitecture
--NX_INC += -I/usr/sfw/include -I/usr/include
--NX_LIB += ../../nx-X11/exports/lib/libXpm.a -L../../nx-X11/exports/lib
--ZLIB_INC = -I/usr/local/include
--JPEG_INC = -I/usr/local/include
--#endif
-+NX_INC = -I../../../common/nxcomp -I../../../common/nxcompext -I../../../common/nx-X11/exports/include
-+NX_LIB = -L../../../common/nxcomp -lXcomp -L../../../common/nxcompext -lXcompext
-
-
--INCLUDES = -I../include -I. $(ZLIB_INC) $(JPEG_INC) -I/usr/include/X11 $(NX_INC)
-+INCLUDES = -I../include -I. $(ZLIB_INC) $(JPEG_INC) -I../../../common/nx-X11/lib/X11 -I../../../common/nx-X11/include -I../../../common/nx-X11/programs/Xserver/include $(NX_INC)
- VNCAUTH_LIB = ./libvncauth.a
--ZLIB_LIB = -L../../zlib-1.2.1 -lz
--JPEG_LIB = -L../../jpeg-6b/.libs -ljpeg
-+ZLIB_LIB = -lz
-+JPEG_LIB = -ljpeg
-
--USRLIBDIR = ../../nx-X11/exports/lib
-+USRLIBDIR = ../../../common/nx-X11/lib/X11
-
--#ifdef SunArchitecture
--USRLIBDIR = /usr/NX/lib
--SUN_LIB = -lX11 -lXext -L/usr/openwin/lib
--JPEG_LIB = ../../jpeg-6b/.libs/libjpeg.a
--#endif
-
- DEPLIBS = XawClientDepLibs $(VNCAUTH_LIB)
-
diff --git a/net-misc/nxserver-2xterminalserver/files/1.5.0/nxserver-2xterminalserver-1.5.0-nxagent-reduced-debugging.patch b/net-misc/nxserver-2xterminalserver/files/1.5.0/nxserver-2xterminalserver-1.5.0-nxagent-reduced-debugging.patch
deleted file mode 100644
index c620df8..0000000
--- a/net-misc/nxserver-2xterminalserver/files/1.5.0/nxserver-2xterminalserver-1.5.0-nxagent-reduced-debugging.patch
+++ /dev/null
@@ -1,12 +0,0 @@
---- common/nx-X11/programs/Xserver/hw/nxagent/Render.c.orig 2007-04-14 16:17:20.000000000 +0200
-+++ common/nx-X11/programs/Xserver/hw/nxagent/Render.c 2007-04-14 16:18:12.000000000 +0200
-@@ -1195,7 +1195,9 @@
- strncpy(szFilter, filter, name_size);
- szFilter[name_size] = 0;
-
-+ #ifdef TEST
- fprintf(stderr, "nxagentSetPictureFilter: going to set filter [%s].\n", szFilter);
-+ #endif
-
- XRenderSetPictureFilter (nxagentDisplay,
- nxagentPicturePriv(pPicture) -> picture,
diff --git a/net-misc/nxserver-2xterminalserver/files/1.5.0/nxserver-2xterminalserver-1.5.0-perl.patch b/net-misc/nxserver-2xterminalserver/files/1.5.0/nxserver-2xterminalserver-1.5.0-perl.patch
deleted file mode 100644
index e16b526..0000000
--- a/net-misc/nxserver-2xterminalserver/files/1.5.0/nxserver-2xterminalserver-1.5.0-perl.patch
+++ /dev/null
@@ -1,32 +0,0 @@
-diff -Naur server/nxnode/src.orig/functions.pl server/nxnode/src/functions.pl
---- server/nxnode/src.orig/functions.pl 2007-04-18 23:59:08.000000000 +0200
-+++ server/nxnode/src/functions.pl 2007-04-19 00:03:28.000000000 +0200
-@@ -423,17 +423,14 @@
- }
-
- sub get_unique_id {
-- my $now;
-- $::TIMEVAL_T = "LL";
-- $now = pack($::TIMEVAL_T, ());
-+ my $now = gettimeofday;
-
-- if (syscall(&SYS_gettimeofday, $now, 0) == -1) {
-+ if ($now == -1) {
- NXMsg::send_response("internal_server_error", "", ": cannot get time of day");
- log_msg("cannot get time of day", $::LOG_ERR, 0);
- handle_command ('exit');
- }
-
-- my @now2 = unpack($::TIMEVAL_T, $now);
- my @command = ("ps","-e");
- my @parameters = ();
- my ($cmd_err, $cmd_out, $exit_value) = ::run_command (\@command, \@parameters);
-diff -Naur server/nxnode/src.orig/nxshell.pl server/nxnode/src/nxshell.pl
---- server/nxnode/src.orig/nxshell.pl 2007-04-18 23:59:08.000000000 +0200
-+++ server/nxnode/src/nxshell.pl 2007-04-19 00:03:50.000000000 +0200
-@@ -36,4 +36,4 @@
- use Socket;
- #undef $ENV{'LANG'};
-
--require 'sys/syscall.ph';
-+use Time::HiRes qw(gettimeofday);
diff --git a/net-misc/nxserver-2xterminalserver/files/1.5.0/nxserver-2xterminalserver-1.5.0-setup.patch b/net-misc/nxserver-2xterminalserver/files/1.5.0/nxserver-2xterminalserver-1.5.0-setup.patch
deleted file mode 100644
index 711646a..0000000
--- a/net-misc/nxserver-2xterminalserver/files/1.5.0/nxserver-2xterminalserver-1.5.0-setup.patch
+++ /dev/null
@@ -1,96 +0,0 @@
---- server/nxnode/setup/nxsetup.orig 2007-03-10 16:25:56.000000000 +0100
-+++ server/nxnode/setup/nxsetup 2007-03-10 16:26:38.000000000 +0100
-@@ -840,6 +840,10 @@
-
- removeNXinit () {
-
-+ if [ "$system" = "gentoo" ]; then
-+ return
-+ fi
-+
- runCommand "$RMCOMMAND -f /etc/init.d/nxserver" "Unable to remove '/etc/init.d/nxserver'" "warn"
-
- if [ "$system" = "solaris" ];
-@@ -896,6 +900,9 @@
- then
- runCommand "$RMCOMMAND -f /etc/rc0.d/K99nxserver" "Unable to remove '/etc/rc0.d/K99nxserver'" "warn"
- fi
-+ elif [ "$system" = "gentoo" ]; then
-+ # do nothing; this is handled by Gentoo ebuild
-+ echo > /dev/null
- else
- if [ -f /etc/rc.d/rc3.d/S99nxserver ];
- then
-@@ -919,6 +926,10 @@
-
-
- addNXinit () {
-+
-+ if [ "$system" = "gentoo" ] ; then
-+ return;
-+ fi
-
- runCommand "cat /usr/NX/scripts/restricted/nxaddinitd.sh > /etc/init.d/nxserver" "Unable to create: '/etc/init.d/nxserver'" "warn"
- runCommand "chmod +x /etc/init.d/nxserver" "Cannot set permissions of '/etc/init.d/nxserver' file" "warn"
-@@ -994,6 +1005,11 @@
- }
-
- addNXSystemSetup () {
-+
-+ if [ "$system" = "gentoo" ]; then
-+ return
-+ fi
-+
- if [ -f "$rcBash" ];
- then
- grep "#$NX_SETUP_VERSION" "$rcBash" 1>/dev/null
-@@ -1064,6 +1080,10 @@
- }
-
- addNXUserLinux () {
-+ # does the NX user already exist?
-+ if id nx > /dev/null 2>&1 ; then
-+ return
-+ fi
-
- if [ "x$system" = "xmandrake" -o "x$system" = "xfedora" ];
- then
-@@ -1909,6 +1929,10 @@
- system=fedora
- fi
-
-+if [ -d /usr/portage ]; then
-+ system=gentoo
-+fi
-+
- if [ "x$system" = "x" -a -f /etc/release ];
- then
- system=solaris
-@@ -1941,6 +1965,7 @@
- "fedora" ) ;;
- "debian" ) ;;
- "solaris" ) ;;
-+ "gentoo" ) ;;
- "" ) ARGS=-1 && errMsg="$PREFIX $ERROR ERROR: Unable to autodetect the operating system type, please specify it" ;;
- * ) ARGS=-1 && errMsg="$PREFIX $ERROR ERROR: Unsupported operating system '$system'" ;;
- esac
-@@ -2094,18 +2119,7 @@
- result=$?
- if [ "$result" = 0 ];
- then
-- txt=`/bin/bash -c "su - nx < /dev/null 2>&1 | /bin/grep -c 'NXSERVER'" 2>&1`
-- if [ "$?" != 0 ];
-- then
-- if [ "$txt" = "0" ];
-- then
-- echo "$PREFIX $ERROR ERROR: User 'nx' already exist but is not used by nxserver."
-- echo "$PREFIX $ERROR ERROR: Delete user 'nx' and run $NODE_ROOT/bin/nxsetup --install"
-- exit 1
-- else
-- echo "$PREFIX $ERROR ERROR: Error when checking if user nx is used by nx server: '$txt'"
-- fi
-- elif [ -f "$NODE_ROOT/etc/node.conf" -o -f "$NODE_ROOT/etc/node.cfg" ];
-+ if [ -f "$NODE_ROOT/etc/node.conf" -o -f "$NODE_ROOT/etc/node.cfg" ];
- then
- procedureUpdate
- return 0
diff --git a/net-misc/nxserver-2xterminalserver/metadata.xml b/net-misc/nxserver-2xterminalserver/metadata.xml
deleted file mode 100644
index f68e889..0000000
--- a/net-misc/nxserver-2xterminalserver/metadata.xml
+++ /dev/null
@@ -1,8 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-<herd>nx</herd>
-<longdescription>
- Server part of 2x Terminal Server (a GPL NX server)
-</longdescription>
-</pkgmetadata>
diff --git a/net-misc/nxserver-2xterminalserver/nxserver-2xterminalserver-1.5.0.ebuild b/net-misc/nxserver-2xterminalserver/nxserver-2xterminalserver-1.5.0.ebuild
deleted file mode 100644
index febce07..0000000
--- a/net-misc/nxserver-2xterminalserver/nxserver-2xterminalserver-1.5.0.ebuild
+++ /dev/null
@@ -1,212 +0,0 @@
-# Copyright 1999-2007 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-misc/nxserver-2xterminalserver/nxserver-2xterminalserver-1.5.0.ebuild,v 1.6 2007/07/04 15:08:07 voyageur Exp $
-
-inherit flag-o-matic eutils
-
-DESCRIPTION="GPL NX server, based on NoMachine 1.5 servers source code"
-HOMEPAGE="http://www.2x.com/terminalserver/"
-SRC_URI="http://code.2x.com/release/linuxterminalserver/src/linuxterminalserver-1.5.0-server-r21-src.tar.gz
- http://code.2x.com/release/linuxterminalserver/src/linuxterminalserver-1.5.0-common-r21-src.tar.gz
- http://code.2x.com/release/linuxterminalserver/src/linuxterminalserver-1.5.0-client-r21-src.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~x86"
-IUSE="rdesktop vnc"
-
-RDEPEND="dev-libs/glib
- dev-libs/openssl
- dev-perl/BSD-Resource
- dev-perl/DateManip
- dev-perl/DBD-SQLite
- dev-perl/DBI
- dev-perl/Error
- dev-perl/GDGraph
- dev-perl/Passwd-Linux
- dev-perl/Unix-Syslog
- media-libs/jpeg
- media-libs/libpng
- sys-libs/zlib
- x11-libs/libICE
- x11-libs/libXmu
- x11-libs/libXdmcp
- x11-libs/libSM
- x11-libs/libXt
- x11-libs/libXau
- x11-libs/libXaw
- x11-libs/libXp
- x11-libs/libXpm
- x11-libs/libXext
-
- media-fonts/font-misc-misc
- media-fonts/font-cursor-misc
- x11-apps/xauth"
-
-DEPEND="${RDEPEND}
- app-text/rman
- net-misc/nxclient-2xterminalserver
- x11-misc/gccmakedep
- x11-misc/imake
- x11-proto/xproto
- x11-proto/xextproto
- x11-proto/fontsproto
- !net-misc/nxserver-freeedition
- !net-misc/nxserver-freenx"
-
-S="${WORKDIR}"
-
-pkg_preinst() {
- enewuser nx -1 -1 /usr/NX/home/nx
-}
-
-src_unpack() {
- unpack ${A}
-
- cd ${S}
- epatch ${FILESDIR}/1.5.0/nx-x11-1.5.0-amd64.patch || die
- epatch ${FILESDIR}/1.5.0/nx-x11-1.5.0-plastik-render-fix.patch || die
- epatch ${FILESDIR}/1.5.0/nx-x11-1.5.0-tmp-exec.patch || die
- epatch ${FILESDIR}/1.5.0/nx-x11-1.5.0-xorg7-font-fix.patch || die
- epatch ${FILESDIR}/1.5.0/nx-x11-1.5.0-windows-linux-resume.patch || die
-
- epatch ${FILESDIR}/1.5.0/${P}-insitu.patch || die
- epatch ${FILESDIR}/1.5.0/${P}-external-nxcomp.patch || die
- epatch ${FILESDIR}/1.5.0/${P}-setup.patch || die
- epatch ${FILESDIR}/1.5.0/${P}-perl.patch || die
- epatch ${FILESDIR}/1.5.0/${P}-nxagent-reduced-debugging.patch || die
- sed -i 's/-Wnested-externs/-Wnested-externs -fPIC/' \
- common/nxcompext/Makefile.in || die "sed failed"
-
- # Set correct product name
- einfo "Setting official product name"
- find server/nxnode common/nx-X11/programs/Xserver/hw/nxagent/Args.c \
- -type f -exec sed -i "s/@PRODUCT_NAME@/2X TerminalServer/g" {} \;
-}
-
-src_compile() {
- cd ${S}/common/nxcompext
- append-ldflags "-L/usr/NX/lib"
- econf || die
- emake || die
-
- cd ${S}/common/nx-X11
- emake World || die
-
- if use rdesktop; then
- cd ${S}/client/nxdesktop
- CC=(tc-getCC) ./configure || die
- emake || die
- fi
-
- if use vnc; then
- cd ${S}/server/nxviewer
- xmkmf -a || die
- emake World || die
- fi
-
- cd ${S}/server/nxspool/source
- econf --without-ldap --without-krb5 || die
- # We can't use emake here - it doesn't trigger the right target
- # for some reason
- make || die
-
- cd ${S}/server/nxsensor
- emake || die
-
- cd ${S}/server/nxuexec
- emake || die
-
- cd ${S}/server/nxnode/src
- ./configure || die
- make setversion
- make nxnode.pl nxserver.pl || die
- perl MakeConfigFile.pl DEBIAN > node-gentoo.cfg.sample
-}
-
-src_install() {
- NODE_SRC=${S}/server/nxnode/src
-
- # Main binaries
- into /usr/NX
- dobin ${S}/common/nx-X11/programs/Xserver/nxagent
- dobin ${S}/server/nxsensor/nxsensor
- dobin ${S}/server/nxnode/setup/nxsetup
- newbin ${S}/server/nxspool/source/bin/smbspool nxspool
- dobin ${S}/server/nxuexec/nxuexec
-
- if use rdesktop; then
- dobin ${S}/client/nxdesktop/nxdesktop
- fi
- if use vnc; then
- dobin ${S}/server/nxviewer/nxviewer/nxviewer
- dobin ${S}/server/nxviewer/nxpasswd/nxpasswd
- fi
-
- # Libraries
- dodir /usr/NX/lib
- cp -P ${S}/common/nxcompext/libXcompext.so* \
- ${S}/common/nx-X11/lib/X11/libX11.so* ${D}/usr/NX/lib || die
- # And helper scripts
- exeinto /usr/NX/scripts
- newexe ${S}/server/nxnode/bin/nxnodeenv.sh nxenv.sh
- newexe ${S}/server/nxnode/bin/nxnodeenv.csh nxenv.csh
- exeinto /usr/NX/scripts/restricted
- doexe ${S}/server/nxnode/bin/nxaddinitd.sh
- doexe ${S}/server/nxnode/scripts/nxinit.sh
- newexe ${S}/server/nxnode/bin/nxprinter.sh-LINUX nxprinter.sh
- doexe ${S}/server/nxnode/bin/nxsessreg.sh
- doexe ${S}/server/nxnode/bin/nxuseradd.sh
-
- # The server itself (and wrappers and perl modules)
- dobin ${NODE_SRC}/nxnode.pl
- dobin ${NODE_SRC}/nxserver.pl
- make_wrapper nxnode "perl -I/usr/NX/lib/perl /usr/NX/bin/nxnode.pl" /usr/NX/bin /usr/NX/lib /usr/NX/bin
- make_wrapper nxserver "perl -I/usr/NX/lib/perl /usr/NX/bin/nxserver.pl" /usr/NX/bin /usr/NX/lib /usr/NX/bin
-
- dodir /usr/NX/lib/perl
- cp -RH ${NODE_SRC}/*.pm ${NODE_SRC}/Config ${NODE_SRC}/Exception \
- ${NODE_SRC}/NXShellDialogs ${NODE_SRC}/handlers ${NODE_SRC}/nxstat \
- ${D}/usr/NX/lib/perl/ || die
-
- # etc, var, home, ...
- dodir /usr/NX/etc/keys
- for x in passwords users administrators; do
- cp ${S}/server/nxnode/etc/${x} ${D}/usr/NX/etc/${x}.db.sample
- done
- cp ${NODE_SRC}/node-gentoo.cfg.sample ${D}/usr/NX/etc/ || die
-
- # share/keys/server.id_dsa.key is installed with the client
- dodir /usr/NX/share/keys
- for x in config fonts keymaps; do
- cp -R ${S}/server/nxnode/share/${x} ${D}/usr/NX/share/ || die
- done
- cp ${S}/server/nxnode/share/keys/default.id_dsa.key \
- ${D}/usr/NX/share/keys/ ||die
- cp -R ${S}/server/nxnode/home ${D}/usr/NX || die
- keepdir /usr/NX/var/log
- keepdir /usr/NX/var/run
- keepdir /usr/NX/var/db/closed
- keepdir /usr/NX/var/db/failed
- keepdir /usr/NX/var/db/nxstat
- keepdir /usr/NX/var/db/running
-}
-
-pkg_postinst() {
- usermod -s /usr/NX/bin/nxserver nx || die "Unable to set login shell of nx user!!"
- usermod -d /usr/NX/home/nx nx || die "Unable to set home directory of nx user!!"
- # Workaround fonts link
- if has_version '>=x11-base/xorg-x11-7.0' && ! [ -e /usr/lib/X11/fonts ];
- then
- ln -s /usr/share/fonts /usr/lib/X11/fonts
- fi
-
- # only run install when no configuration file is found
- if [ -f /usr/NX/etc/node.cfg ]; then
- einfo "Running 2X update script"
- ${ROOT}/usr/NX/bin/nxsetup --update
- else
- einfo "Running 2X setup script"
- ${ROOT}/usr/NX/bin/nxsetup --install
- fi
-}